## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name adjustText

# Use GitHub sources (license file is missing in PyPI sdidt)
%global forgeurl https://github.com/Phlya/adjustText

%global _description %{expand:
The idea is that often when we want to label multiple points on a graph
the text will start heavily overlapping with both other labels and data
points. This can be a major problem requiring manual solution.

However this can be largely automatized by smart placing of the labels
(difficult) or iterative adjustment of their positions to minimize
overlaps (relatively easy).
This library (well... script) implements the latter option to help with
matplotlib graphs. Usage is very straightforward with usually pretty good
results with no tweaking (most important is to just make text slightly
smaller than default and maybe the figure a little larger).
However the algorithm itself is highly configurable for complicated plots.}

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        %{autorelease}
Summary:        Automatic label placement for matplotlib
BuildArch:      noarch
%global tag v%{version}
%forgemeta
License:        MIT
URL:            %forgeurl
Source0:        %forgesource

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
%endif

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
# Package does not provide any tests
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Mar 19 2024 Packit <hello@packit.dev> - 1.1.1-1
- [packit] 1.1.1 upstream release
- Resolves rhbz#2270345

* Mon Mar 18 2024 Packit <hello@packit.dev> - 1.1.0-1
- [packit] 1.1.0 upstream release
- Resolves rhbz#2270155

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Packit <hello@packit.dev> - 1.0.4-1
- [packit] 1.0.4 upstream release
- Resolves rhbz#2258282

* Fri Jan 12 2024 Sandro <devel@penguinpee.nl> - 1.0-1
- Update to 1.0 (RHBZ#2257116)
- Fix version related settings in spec and packit.

* Sun Jan 07 2024 Sandro <devel@penguinpee.nl> - 0.8.1-1
- Revert "Fix version related settings"

* Sun Jan 07 2024 Sandro <devel@penguinpee.nl> - 1.0-1
- Fix version related settings

* Mon Nov 06 2023 Packit <hello@packit.dev> - 0.8.1-1
- [packit] 0.8.1 upstream release

* Sat Nov 04 2023 Sandro <devel@penguinpee.nl> - 0.8-1
- Update to 0.8

* Sat Nov 04 2023 Sandro <devel@penguinpee.nl> - 0.7.3-10
- Use forge macros (enabling Packit)
- Drop LICENSE patch
- Drop BR on git-core
- drop %%license (now included in dist-info)

* Sat Nov 04 2023 Sandro <devel@penguinpee.nl> - 0.7.3-9
- Add Packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 0.7.3-7
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 23 2022 Sandro <devel@penguinpee.nl> - 0.7.3-5
- Clean up spec file and use %%pypi_name

* Fri Oct 21 2022 Sandro <devel@penguinpee.nl> - 0.7.3-4
- Also remove patch from sources

* Fri Oct 21 2022 Sandro <devel@penguinpee.nl> - 0.7.3-3
- Add patch to dist-git

* Tue Oct 18 2022 Sandro <devel@penguinpee.nl> - 0.7.3-2
- Add missing patch file to sources

* Mon Oct 17 2022 Sandro <devel@penguinpee.nl> - 0.7.3-1
- Initial release (RHBZ#2130030)
## END: Generated by rpmautospec
